システム管理
キャンセル
次の結果を表示 
次の代わりに検索 
もしかして: 

パッチの適用にて「適用パッチが無い」とはじかれます。。

hp-engineer
時折のコントリビューター

パッチの適用にて「適用パッチが無い」とはじかれます。。

対象環境:HP-UX11i v2(11.23)

Oracleをインストールしようとしたのですが、前提パッチがまったく

あたらず苦戦しています。。

クオリティパッチとかいう最新パッチセットをDLし、パッチを適用したところ

適用できました。

また、クオリティパッチのパッチ群のなかからひとつを選択してswinstallするとうまく

選択できます。

ところが、Oracleの要件であるパッチ群をインストールしようとしても適用できません。

コマンド自体は間違ってなさそうなのですが、スキップしてしまうような感じです。

■適用チェックエラーパッチ群(From Oracleインストーラ)

Checking for PHSS_32511; found Not found. Failed <<<<(Cコンパイラ系のパッチのようです)

Checking for PHSS_32512; found Not found. Failed <<<<(Cコンパイラ系のパッチのようです)

Checking for PHSS_32513; found Not found. Failed <<<<(Cコンパイラ系のパッチのようです)

Checking for PHSS_32740; found Not found. Failed <<<<

(サービスガード系のパッチのようです。でも単体サーバですので、MC/SGは入ってないと思いますが。。。入っているのでしょうか。。)

# swinstall -s /tmp/20071026-2/PHSS_32511.depot

> -x autoreboot=true -x patch_match_target=true

======= 10/26/07 21:52:07 JST BEGIN swinstall SESSION

(non-interactive) (jobid=XXXXXXX-0144)

* Session started for user "root@XXXXXXX".

* Beginning Selection

* Target connection succeeded for "XXXXXXX:/".

NOTE: The patch match operation failed to find patches for target

software on "XXXXXXX" which passed the filter.

NOTE: Cannot continue the "swinstall" task.

======= 10/26/07 21:52:09 JST END swinstall SESSION (non-interactive)

(jobid=XXXXXXX-0144)

#

swinstallのCUIの画面から選択していっても、depotファイルを指定すると、

「The bundle "BUNDLE,r=B.11.23,a=HP-UX_B.11.23_32/64,v=HP" cannot be

selected because none of the contents of the bundle are compatible

with the destination host(s).」

適用するものはないという感じです。。

前提となるソフトウェアとかが入っていないといわれている気もしますが、

ただ、Cコンパイラのパッチであり、ソフトウェア自体は入っています。。

前提のソフト名が具体的にわかればそのソフトを有無を確認し導入してからパッチを

当てるのですが、なぜスキップされてしまうのかがわからず、、、どうしようもありません。

何度もDLしてリトライしてみましたが、やっぱり適用時に選択できず、適用不可能です。

何か、思い当たるフシはないでしょうか?

パッチに必要なソフトが何なのか(パッチの前提が何を指しているのか)わかれば何とかなるのではと邪推しています。

2 件の返信
uhyo
貴重なコントリビューター

パッチの適用にて「適用パッチが無い」とはじかれます。。

>ただ、Cコンパイラのパッチであり、ソフトウェア自体は入っています。

コンパイラが入っていることはどのように確認されたのでしょうか?

最近HPUXを触ってないのであまり参考にならないかもしれないですが、OSインストール時のbundleされたコンパイラはカーネル作成用のものです。

以前は、C/ANSI用のコンパイラ(別売)がありました。もし、このパッチがその製品を前提にしているなら、スキップされても当然だと思います。

パッチの前提はパッチの説明文に記載されてますよ。

参考になれば幸いです。

hp-engineer
時折のコントリビューター

パッチの適用にて「適用パッチが無い」とはじかれます。。

早速返信ありがとうございます。

本件、(おそらく)解決しました。。すごく基本的なことでした。

HP-UXが、Iteniumのサーバであるのに対し、インストールに使っていた

OracleのメディアがPA-RISC 版 Oracleでした。

Oracleインストーラは、PA-RISC版の11.23だと思って、前提パッチテスト

をし、エラーを出していました。

(OracleのインストーラーはOSがPA-RISCかIntenium版であるか判断

する機能は持ち合わせていないようで、PA-RISCでの未適用パッチを

リストしてきたわけです。。)

それで、馬鹿正直に言われるままのパッチをDLしてきて適用しようと

思ってもそれは、PA-RISC版のパッチであるわけで、スキップされて

あたらないわけです。。。逆に助かりました。

ということで、Itenium版のOracleでリトライです。

サーバがPA-RISC機だと勝手に信じ込んで今まで作業をしていたので、

PA-RISC版メディアと知っていたのですが、何ら疑問は感じませんでした。

ありがとうございました。すっきりです。